Subject: Source package contains non-free IETF RFC/I-D
From: Simon Josefsson <[email-masked]>
To: [email-masked]
Date: Wed, 19 Sep 2007 10:13:19 +0200

Severity: serious
Package: cl-irc
Version: 20070905-dfsg-1
User: [email-masked]
Usertags: nonfree-doc rfc

Hi!

This source package contains the following files from the IETF under
non-free license terms:

+pkg cl-irc ver 20070905-dfsg-1
+  cl-irc-20070905-dfsg.orig/doc/rfc2810.txt
+  cl-irc-20070905-dfsg.orig/doc/rfc2811.txt
+  cl-irc-20070905-dfsg.orig/doc/rfc2812.txt
+  cl-irc-20070905-dfsg.orig/doc/rfc2813.txt

The license on RFC/I-Ds is not DFSG-free, see:
 * http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
 * http://release.debian.org/removing-non-free-documentation
 * http://wiki.debian.org/NonFreeIETFDocuments

The etch release policy says binary and source packages must each be free:
 * http://release.debian.org/etch_rc_policy.txt

The severity is serious, because this violates the Debian policy:
 * http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg

There are (at least) three ways to fix this problem.  In order of
preference:

1. Ask the author of the RFC to re-license the RFC under a free
   license.  A template for this e-mail request can be found at
   http://wiki.debian.org/NonFreeIETFDocuments

2. Remove the non-free material from the source, e.g., by re-packaging
   the upstream archive and adding 'dfsg' to the Debian package
   version name.

3. Move the package to non-free.

General discussions are kindly requested to take place on debian-legal
or debian-devel in the thread with Subject: "Non-free IETF RFC/I-Ds in
source packages".

Thanks,
Simon